from django.test import override_settings
from django.urls import reverse

from arkindex.project.tests import FixtureAPITestCase


class TestMetricsAPI(FixtureAPITestCase):

    def test_metrics_base_wrong_port(self):
        response = self.client.get(reverse("metrics:base-metrics"))
        self.assertEqual(response.status_code, 404)

    @override_settings(PROMETHEUS_METRICS_PORT=42, PUBLIC_HOSTNAME="hostname", ARKINDEX_ENV="test")
    def test_metrics_base(self):
        response = self.client.get(reverse("metrics:base-metrics"), SERVER_PORT=42)
        self.assertEqual(response.status_code, 200)
        self.assertEqual(response.content, b'arkindex_instance{hostname="hostname", env="test"} 1')
